Difference between revisions of "Draft Clone/fr"

From FreeCAD Documentation
Jump to: navigation, search
m
m
Line 38: Line 38:
  
 
===Limitations===
 
===Limitations===
Actuellement, l'[[Sketcher Workbench|Atelier Sketcher]] ne peut pas être mappé sur les faces d'un clone.
+
Actuellement, l'[[Sketcher Workbench/fr|Atelier Sketcher]] ne peut pas être mappé sur les faces d'un clone.
  
 
==Options==
 
==Options==

Revision as of 11:01, 28 October 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Page précédente: Draft PointArray.svg Matrice de points Draft
Page suivante: Dessin Draft Draft Drawing.svg Arrow-right.svg

Draft Clone.svg Clone Draft

Emplacement du menu
Draft → Clone
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Déplacer Draft, Echelle Draft


Description

L'outil Clone produit des copies liées d'une forme sélectionnée. Cela signifie que si l'objet d'origine change de forme et de propriétés, tous les clones changent également. Néanmoins, chaque clone conserve sa position, sa rotation et son échelle uniques, ainsi que ses propriétés d'affichage telles que la couleur de la forme, la largeur de trait et la transparence.

L'outil Clone peut être utilisé sur des formes 2D créées avec Atelier Draft mais également sur de nombreux types d'objets 3D, tels que ceux créés avec Atelier Part, Atelier PartDesign ou [[[Arch Workbench/fr|Atelier Arch]]].

Pour créer des copies simples, totalement indépendantes d'un objet d'origine, utilisez Déplacer Draft, Rotation Draft et Echelle Draft. Pour positionner les copies dans un tableau orthogonal, utilisez Matrice Draft. Pour positionner les copies le long d’un chemin, utilisez Série de copies Draft. Pour positionner les copies à des points spécifiés, utilisez Série de copies Draft.

Draft Clone example.jpg

Clone à côté de son objet d'origine


Utilisation

  1. Sélectionnez l'objet (les objets) à cloner.
  2. Pressez le bouton Draft Clone.svg Clone Draft.

Selon ses options, l'outil Draft Scale.svg Echelle Draft crée également un clone à une échelle spécifiée.

Les clones d'objets 2D créés avec Atelier Draft ou Atelier Sketcher sont également des objets 2D et peuvent donc être utilisés tels quels pour Atelier PartDesign.

Tous les objets Atelier Arch ont la possibilité de se comporter comme des clones en utilisant la propriété DONNÉESCloneOf. Si vous utilisez l'outil Draft Clone sur un objet Arch sélectionné, vous produirez un tel clone Arch au lieu d'un clone Draft normal.

Limitations

Actuellement, l'Atelier Sketcher ne peut pas être mappé sur les faces d'un clone.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec les objets sélectionnés ou non.

Propriétés

  • DATAObjects: spécifie une liste d'objets de base en cours de clonage.
  • DATAScale: spécifie le facteur de mise à l'échelle du clone, dans chaque direction X, Y et Z.
  • DATAFuse: si elle est True et que DATAObjects inclut de nombreuses formes qui s'entrecroisent, le clone résultant sera fusionné en une seule forme ou créera un composé d'eux. introduced in version 0.17

Script

Voir aussi: Draft API et FreeCAD Script de Base.

L'outil Clone peut être utilisé dans une macro ainsi que dans la console Python en utilisant la commande :

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Crée un cloned_object à partir de obj qui peut être un objet unique ou une liste d'objets.
  • S'il est spécifié, delta est un FreeCAD.Vector qui déplace le nouveau clone de la position d'origine de l'objet de base.
  • Si forcraft est True, l'objet résultant sera un clone Draft et non un clone Arch même si obj est un Atelier Arch objet.

La fusion des objets faisant partie du clone peut être réalisée en définissant son attribut Fuse à True.

Exemple:

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Draft PointArray.svg Matrice de points Draft
Page suivante: Dessin Draft Draft Drawing.svg Arrow-right.svg